<?php
/*
 * Copyright(C). D-cube,Inc. All Rights Reserved.
 */

/*
 * @file		ImportInputForm.class.php
 * @brief		インポートフォームクラス
 * @date		2007.03.22
 */

require_once(CLASS_DIR."/form/AbstractForm.class.php");

class ImportInputForm extends AbstractForm
{
	function setFileType($file_type="")
	{
		$this->file_type = $file_type;
	}
	
	function setFileSize($file_size="")
	{
		$this->file_size = $file_size;
	}
	
	function check()
	{
		$error_array = array();
//		if(!is_null($this->file_type))
//			if($this->file_type != "application/vnd.ms-excel")
//				$error_array["file_type"] = "有効なファイルではありません。";
		if(!is_null($this->file_size))
			if($this->file_size > 2097152)
				$error_array["file_size"] = "ファイルサイズが2MBを超えています。";
		return $error_array;
	}
}
